> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除 ClickPipe

> **此端点为 Beta 版本。** API 契约已稳定，预计未来不会出现任何破坏性变更。<br /><br />删除指定的 ClickPipe。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json delete /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}:
    delete:
      tags:
        - ClickPipes
      summary: 删除 ClickPipe
      description: '**此端点为 Beta 版本。** API 契约已稳定，预计未来不会出现任何破坏性变更。<br /><br />删除指定的 ClickPipe。'
      parameters:
        - description: 拥有该 service 的 organization ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 拥有该 ClickPipe 的 service ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: 要删除的 ClickPipe 的 ID。
          in: path
          name: clickPipeId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 分配给每个请求的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误描述。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于请求存在被视为 client error 的问题，server 无法或不会处理该请求。
components:
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````